%global has_SSL_get_client_ciphers %(sed -n -e  /SSL_get_client_ciphers/p /usr/include/openssl/ssl.h)
Summary: Share mouse and keyboard between multiple computers over the network
Name: synergy
Epoch: 1
Version: 1.10.0
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: https://symless.com/synergy
Source0: https://github.com/symless/synergy-core/archive/v%{version}-stable.tar.gz

#Don't override build flags
Patch1: synergy-1.8.8-ssl.patch

# Last built version of synergy-plus was 1.3.4-12.fc20
Provides: synergy-plus = %{version}-%{release}
Obsoletes: synergy-plus < 1.3.4-13
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: cmake3
BuildRequires: desktop-file-utils
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: libcurl-devel
BuildRequires: openssl-devel
BuildRequires: qt5-qtbase-devel
Requires: qt5-qtbase

%description
Synergy lets you easily share your mouse and keyboard between multiple
computers, where each computer has its own display. No special hardware is
required, all you need is a local area network. Synergy is supported on
Windows, Mac OS X and Linux. Redirecting the mouse and keyboard is as simple
as moving the mouse off the edge of your screen.

%prep
%setup -q -n %{name}-core-%{version}-stable
%if "%{?has_SSL_get_client_ciphers}"
%patch1 -p0 -b .ssl
%endif

%build
%cmake3
%make_build

%install
%make_install
install -D -p -m 0644 doc/synergyc.man %{buildroot}%{_mandir}/man8/synergyc.8
install -D -p -m 0644 doc/synergys.man %{buildroot}%{_mandir}/man8/synergys.8
install -D -p -m 0644 res/synergy.ico %{buildroot}%{_datadir}/pixmaps/synergy.ico


mkdir -p %{buildroot}%{_datadir}/metainfo
## Write AppStream
cat <<END> %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2018 Ding-Yi Chen <dchen@redhat.com> -->
<component type="desktop-application">
  <id>%{name}</id>
  <metadata_license>FSFAP</metadata_license>
  <project_license>GPLv2</project_license>
  <name>synergy</name>
  <summary>Share mouse and keyboard between multiple computers over the network</summary>

  <description>
    <p>
    Synergy lets you easily share your mouse and keyboard between multiple
    computers, where each computer has its own display. No special hardware is
    required, all you need is a local area network. Synergy is supported on
    Windows, Mac OS X and Linux. Redirecting the mouse and keyboard is as simple
    as moving the mouse off the edge of your screen.
    </p>
  </description>

  <launchable type="desktop-id">%{name}.desktop</launchable>

  <url type="homepage">https://symless.com/synergy</url>

  <provides>
    <binary>synergy</binary>
    <binary>synergyc</binary>
    <binary>synergys</binary>
  </provides>

  <releases>
    <release version="%{version}" date="%(date -u +'%Y-%m-%d')" />
  </releases>
</component>
END

desktop-file-install --delete-original  \
  --dir %{buildroot}%{_datadir}/applications            \
  --set-icon=%{_datadir}/pixmaps/synergy.ico            \
  %{buildroot}%{_datadir}/applications/synergy.desktop

desktop-file-validate %{buildroot}/%{_datadir}/applications/synergy.desktop

%files
# None of the documentation files are actually useful here, they all point to
# the online website, so include just one, the README
%doc LICENSE ChangeLog res/Readme.txt doc/synergy.conf.example*
%{_bindir}/synergyc
%{_bindir}/synergys
%{_bindir}/synergy
%{_bindir}/syntool
%{_datadir}/pixmaps/synergy.ico
%{_datadir}/icons/hicolor/scalable/apps/synergy.svg
%{_datadir}/applications/synergy.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man8/synergyc.8*
%{_mandir}/man8/synergys.8*

%changelog
* Thu Aug 02 2018 Ding-Yi Chen <dchen@redhat.com> - 1:1.10.0-1
- Upstream update to 1.10.0
  + Bug fixes:
    - Log to file defaults to unwritable location
    - Losing GUI config when restarting the OS

 + Enhancements:
   - CLI argument to control screen lock feature
   - Customizable size limit on clipboard sharing
- BuildRequires qt5-qtbase-devel

* Fri Feb 16 2018 Ding-Yi Chen <dchen@redhat.com> - 1:1.8.8-3
- Revert to 1.8.8

* Tue Feb 06 2018 Ding-Yi Chen <dchen@redhat.com> - 2.0.0-2
- Restore Program /usr/bin/synergy
- Fixes Bug 1542286 synergy-2.0.0 should not have been pushed anywhere except rawhide
- Fixes Bug 1541640 - synergy.desktop file useless

* Wed Jan 17 2018 Ding-Yi Chen <dchen@redhat.com> - 2.0.0-1
- Update to 2.0.0
- Fixes Bug 1476515 - AppStream metadata for Synergy package are missing
- The real executable is now "synergy-core",
  "synergy" is now a symlink to synergy-core
- cmake3 is now BuildRequired
- syntool is removed by upstream

* Thu Oct 26 2017 Ding-Yi Chen <dchen@redhat.com> - 1.8.8-2
- Skip SSL patch if the system does not have SSL_get_client_ciphers

* Thu Oct 12 2017 Ding-Yi Chen <dchen@redhat.com> - 1.8.8-1
- Update to 1.8.8

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Apr 11 2016 Johan Swensson <kupo@kupo.se> - 1.7.6-1
- Update to 1.7.6
- Clean up BuildRequires
- Package syntool

* Sun Feb 21 2016 Johan Swensson <kupo@kupo.se> - 1.7.5-1
- Update to 1.7.5
- Add BuildRequires openssl-devel

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6.2-2
- Rebuilt for GCC 5 C++11 ABI change

* Sat Dec 20 2014 Johan Swensson <kupo@kupo.se> - 1.6.2-1
- Update to 1.6.2

* Fri Nov 28 2014 Johan Swensson <kupo@kupo.se> - 1.6.1-1
- Update to 1.6.1
- BuildRequire avahi-compat-libdns_sd-devel

* Sat Aug 23 2014 Johan Swensson <kupo@kupo.se> - 1.5.1-1
- Update to 1.5.1

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 25 2014 Johan Swensson <kupo@kupo.se> - 1.5.0-1
- Update to 1.5.0
- Update source url
- libcurl-devel, qt-devel, cryptopp-devel and desktop-file-utils buildrequired
- unbundle cryptopp
- unbundle gmock and gtest
- include synergy gui
- fix icon path

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May  7 2014 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.10-4
- increase synergy-plus obs_ver once more to obsolete the F20 rebuild

* Mon Sep 16 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.10-3
- correct synergy-plus obs_ver

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Christian Krause <chkr@fedoraproject.org> - 1.4.10-1
- Update to 1.4.10 (#843971).
- Cleanup spec file.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-5
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 18 2011 Matthias Saou <matthias@saou.eu> 1.3.7-3
- Add missing Provides for synergy-plus (#722843 re-review).

* Mon Jul 18 2011 Matthias Saou <matthias@saou.eu> 1.3.7-2
- Update summary.

* Tue Jul 12 2011 Matthias Saou <matthias@saou.eu> 1.3.7-1
- Update to 1.3.7.
- Drop patch disabling XInitThreads, see upstream #610.
- Update %%description and %%doc.
- Replace cmake patch with our own install lines : Less rebasing.

* Mon Jul 11 2011 Matthias Saou <matthias@saou.eu> 1.3.6-2
- Update Obsoletes for the latest version + fix (release + 1 because of dist).
- Add missing cmake BuildRequires.
- Update cmake patch to also install man pages.

* Fri Feb 18 2011 quiffman GMail 1.3.6-1
- Update to reflect the synergy/synergy+ merge to synergy-foss.org (#678427).
- Build 1.3.5 and newer use CMake.
- Patch CMakeLists.txt to install the binaries.

* Thu Jul  8 2010 Matthias Saou <matthias@saou.eu> 1.3.4-6
- Don't apply the RHEL patch on RHEL6, only 4 and 5.

* Mon Dec  7 2009 Matthias Saou <matthias@saou.eu> 1.3.4-5
- Obsolete synergy (last upstream released version is from 2006) since synergy+
  is a drop-in replacement (#538179).

* Tue Nov 24 2009 Matthias Saou <matthias@saou.eu> 1.3.4-4
- Disable XInitThreads() on RHEL to fix hang (upstream #194).

* Tue Aug 18 2009 Matthias Saou <matthias@saou.eu> 1.3.4-3
- Don't use the -executable find option, it doesn't work with older versions.

* Tue Aug 18 2009 Matthias Saou <matthias@saou.eu> 1.3.4-2
- Initial RPM release, based on the spec from the original synergy.
- Remove spurious executable bit from sources files.

